@echo off

set "scriptPath=%~dp0"
cd /d "%scriptPath%"

.\REQUIRED_BY_INSTALLER_UPDATER\7z.exe e -spf -aoa -o"REQUIRED_BY_INSTALLER_UPDATER" "REQUIRED_BY_INSTALLER_UPDATER\MinGit.7z"

set mgit=".\REQUIRED_BY_INSTALLER_UPDATER\cmd\git.exe"
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo:
echo -----------------------------------------------------------------------------------  
echo Welcome! This is the megaman Pokemon Infinite Fusion Sprite Importer v1.0.12. 
echo: 
echo This will take about 5-30 minutes to run DEPENDING on YOUR computer AND YOUR internet.
echo This Tool has 4 Steps. Afterwards, this will close and it will open Game.exe for you to index the sprites.
echo -----------------------------------------------------------------------------------  
echo Step 1 - Working on Resetting the CustomBattler folder

set git_directory=%CD%\.git
set custom_directory=%CD%\CustomBattlers
set battlers_directory=%CD%\Battlers
set read_directory=%CD%\README.md
set other_directory=%CD%\Other
set credits_directory=%CD%\Sprite Credits.csv
set autogen_repo=%2

rem Delete the Custom folder
echo:
echo This depends on your machine, be patient. Do not close...
IF EXIST "%git_directory%" rd /s /q "%git_directory%" >> errorlog.txt 2>&1
IF EXIST "%custom_directory%" rmdir /s /q "%custom_directory%" >> errorlog.txt 2>&1
echo Done Resetting CustomBattlers
echo -----------------------------------------------------------------------------------  
echo Step 2 - Working on Resetting the Auto Gen folder
echo:
echo This depends on your machine, be patient. Do not close...
IF EXIST "%battlers_directory%" rmdir /s /q "%battlers_directory%" >> errorlog.txt 2>&1
echo Done Resetting the Auto Gen Folder
echo -----------------------------------------------------------------------------------
echo Step 3 - Installing Auto Gen Sprites  
IF EXIST "%read_directory%" del "%read_directory%" >> errorlog.txt 2>&1
IF EXIST "%credits_directory%" del "%credits_directory%" >> errorlog.txt 2>&1
IF EXIST "%other_directory%" rd /s /q "%other_directory%" >> errorlog.txt 2>&1
echo INSTALLING AUTO GEN SPRITES >> errorlog.txt 2>&1
%mgit% init . >> errorlog.txt 2>&1
%mgit% remote add auto %autogen_repo% >> errorlog.txt 2>&1
echo:
echo You won't see progress below, but please be patient. 
echo This prompt will close and reopen for the last step.
echo You will get an error if something goes wrong. So if it seems frozen, it is not.
echo Grab a drink and relax :) 
echo Browse some random fusions: https://if.daena.me/random/
%mgit% fetch auto master >> errorlog.txt 2>&1
%mgit% reset --hard auto/master >> errorlog.txt 2>&1
echo:

exit